<!DOCTYPE html>
<html>
<head>
	<title>NUMBERS</title>
</head>
<body>
	<script type="text/javascript">
		var x = 34.00;
		x = 34;
		x = 123e5;
		x = 123e-5;
		//JS numbers are 64bit double precision floating point numbers
		//0-51 -- number
		//52-62 -- exponent
		//63 -- sign
		var x1 = 999999999999999;	//15 times 9
		var x2 = 9999999999999999;	//16 times 9
		console.log(x1,x2);
		//output of x2 is not accurate...
		var x3 = 0.2 + 0.1;
		console.log(x3);	//output is not what we expect for floating poinbt operations so we should be doing...
		x3 = (0.2 * 10 + 0.1 * 10) / 10;
		console.log(x3);

		//There are also binary, octal and hexadecimal numbers...
		//JS offers to represent these numbers in decimal format.
		var x4 = 128;
		console.log("Hexa decimal value is : " + x4.toString(16));
		console.log("Octal decimal value is : " + x4.toString(8));
		console.log("Binary decimal value is : " + x4.toString(2));

		var hexa = 0xFF;
		console.log("\n\nConverting back hexa to decimal\n");
		console.log("Decimal value is : " + hexa.toString(10));

		//infinity
		var x5 = 2 / 0;
		console.log("Infinity test : " + x5);
		x5 = - 2 / 0;
		console.log("Infinity test : " + x5);
		console.log(typeof Infinity);	//Infinity is a number in JS

		//NaN - Not a Number
		var x6 = 100 / "Hundred";
		console.log(x6, isNaN(x6));	//output : NaN
		var x7 = 100 / "100";
		console.log(x7, isNaN(x7));	//output : 1
		var x8 = NaN;
		var x9 = "5";
		var x10 = x8 + x9;
		console.log(x10);
		console.log(typeof NaN);	//NaN is a number data type

		//numbers as objects
		var x11 = new Number(10);	//object
		var x12 = 10;	//number


	</script>
</body>
</html>